Bug 1255399 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000428 [drm_kms_helper]
[abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:10dd8fa98b3822eddfde28f5fac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 09:21 EDT by Jan Sedlák
Modified: 2016-07-19 13:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:35:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (63.31 KB, text/plain)
2015-08-20 09:21 EDT, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2015-08-20 09:21:25 EDT
Additional info:
reporter:       libreport-2.6.2
BUG: unable to handle kernel NULL pointer dereference at 0000000000000428
IP: [<ffffffffa01255d8>] drm_dp_update_payload_part1+0x158/0x390 [drm_kms_helper]
PGD 32acde067 PUD 32ac17067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: uinput nls_utf8 hfsplus hfs vfat fat isofs vhost_net vhost macvtap macvlan xt_nat veth rfcomm cmac xt_CHECKSUM tun nfsv3 rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c loop ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep fuse arc4 intel_rapl iosf_mbi iwlmvm x86_pkg_temp_thermal coretemp
 mac80211 kvm_intel kvm iwlwifi snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic iTCO_wdt iTCO_vendor_support cfg80211 snd_hda_intel snd_hda_controller snd_hda_codec btusb btbcm snd_hda_core btintel bluetooth snd_hwdep snd_seq uvcvideo i2c_i801 rtsx_pci_ms videobuf2_vmalloc snd_seq_device lpc_ich videobuf2_core memstick videobuf2_memops snd_pcm v4l2_common thinkpad_acpi shpchp mei_me videodev mei tpm_tis media snd_timer wmi tpm rfkill snd soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt 8021q garp stp llc mrp i915 rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel e1000e drm ghash_clmulni_intel serio_raw rtsx_pci mfd_core ptp pps_core video
CPU: 3 PID: 17153 Comm: kworker/3:0 Not tainted 4.1.4-200.fc22.x86_64 #1
Hardware name: LENOVO 20BWS1KY10/20BWS1KY10, BIOS JBET47WW (1.12 ) 03/10/2015
Workqueue: events drm_dp_destroy_connector_work [drm_kms_helper]
task: ffff88008a39b160 ti: ffff88012b7d8000 task.ti: ffff88012b7d8000
RIP: 0010:[<ffffffffa01255d8>]  [<ffffffffa01255d8>] drm_dp_update_payload_part1+0x158/0x390 [drm_kms_helper]
RSP: 0018:ffff88012b7dbc38  EFLAGS: 00010246
RAX: ffff88034b4cc200 RBX: ffff88034b599630 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000000 RDI: 000000000000000e
RBP: ffff88012b7dbca8 R08: ffff88034b780000 R09: ffff88034b780000
R10: 0000000000000047 R11: 0000000000000007 R12: 0000000000000000
R13: 0000000000000001 R14: 0000000000000000 R15: ffff88034b4cc200
FS:  0000000000000000(0000) GS:ffff88035dcc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000428 CR3: 000000032bb82000 CR4: 00000000003407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Stack:
 ffff88034b780000 ffff88034b5999a8 ffff88012b7dbc78 ffff88034b599648
 ffff88034c687358 000000014b5998e8 ffff880100000000 00000000aba407ef
 ffff88034c687000 ffff88034b599630 ffff88034b492500 ffff88034c687348
Call Trace:
 [<ffffffffa01ffade>] intel_mst_disable_dp+0x3e/0x80 [i915]
 [<ffffffffa01d4de4>] haswell_crtc_disable+0x1d4/0x3c0 [i915]
 [<ffffffffa01d60b9>] intel_crtc_control+0x59/0x120 [i915]
 [<ffffffffa01d61e1>] intel_crtc_update_dpms+0x61/0x70 [i915]
 [<ffffffffa01dc1c9>] intel_connector_dpms+0x69/0x80 [i915]
 [<ffffffffa01ffd54>] intel_dp_destroy_mst_connector+0x34/0xc0 [i915]
 [<ffffffffa012255d>] drm_dp_destroy_connector_work+0x5d/0x90 [drm_kms_helper]
 [<ffffffff810baa8b>] process_one_work+0x1bb/0x410
 [<ffffffff810bad33>] worker_thread+0x53/0x480
 [<ffffffff810bace0>] ? process_one_work+0x410/0x410
 [<ffffffff810c0ba8>] kthread+0xd8/0xf0
 [<ffffffff810c0ad0>] ? kthread_worker_fn+0x180/0x180
 [<ffffffff817a20a2>] ret_from_fork+0x42/0x70
 [<ffffffff810c0ad0>] ? kthread_worker_fn+0x180/0x180
Code: 44 00 00 c7 45 c0 00 00 00 00 31 c9 e9 6d ff ff ff 66 90 c7 40 08 00 00 00 00 4d 89 f7 4c 03 bb a8 03 00 00 f6 05 74 7b f7 ff 04 <44> 8b 99 28 04 00 00 0f 85 ed 01 00 00 48 85 c9 74 21 48 8b 91 
RIP  [<ffffffffa01255d8>] drm_dp_update_payload_part1+0x158/0x390 [drm_kms_helper]
 RSP <ffff88012b7dbc38>
CR2: 0000000000000428
Comment 1 Jan Sedlák 2015-08-20 09:21:30 EDT
Created attachment 1065276 [details]
File: dmesg
Comment 2 Kamil Páral 2015-08-28 09:39:01 EDT
Description of problem:
I put the laptop back into the docking station.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.1.4-200.fc22.x86_64 root=/dev/mapper/dryad-root ro rd.lvm.lv=dryad/root rd.luks.uuid=luks-f7c876f1-4497-42fd-9cc1-c60c38d2f2a0 rhgb quiet LANG=en_US.UTF-8
kernel:         4.1.4-200.fc22.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
BUG: unable to handle kernel NULL pointer dereference at 0000000000000428
IP: [<ffffffffa011c5d8>] drm_dp_update_payload_part1+0x158/0x390 [drm_kms_helper]
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache loop nls_utf8 isofs uas usb_storage vhost_net vhost macvtap macvlan fuse xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables ccm bnep arc4 vfat iwlmvm fat intel_rapl mac80211 iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel iTCO_wdt iTCO_vendor_support kvm iwlwifi snd_hda_codec_hdmi snd_hda_codec_realtek cfg80211 snd_hda_codec_generic uvcvideo snd_hda_intel snd_hda_controller snd_hda_codec btusb videobuf2_vmalloc videobuf2_core snd_hda_core snd_hwdep videobuf2_memops v4l2_common snd_seq videodev i2c_i801 btbcm btintel rtsx_pci_ms bluetooth snd_seq_device
 memstick media lpc_ich snd_pcm shpchp tpm_tis thinkpad_acpi tpm mei_me snd_timer wmi mei rfkill snd soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt i915 rtsx_pci_sdmmc mmc_core crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper e1000e drm ghash_clmulni_intel serio_raw rtsx_pci ptp mfd_core pps_core video
CPU: 3 PID: 765 Comm: kworker/3:2 Not tainted 4.1.4-200.fc22.x86_64 #1
Hardware name: LENOVO 20BWS1KY0H/20BWS1KY0H, BIOS JBET49WW (1.14 ) 05/21/2015
Workqueue: events drm_dp_destroy_connector_work [drm_kms_helper]
task: ffff8802b2caeca0 ti: ffff8801804f4000 task.ti: ffff8801804f4000
RIP: 0010:[<ffffffffa011c5d8>]  [<ffffffffa011c5d8>] drm_dp_update_payload_part1+0x158/0x390 [drm_kms_helper]
RSP: 0018:ffff8801804f7c38  EFLAGS: 00010246
RAX: ffff88034b1cac40 RBX: ffff88034c1d8630 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000000 RDI: 000000000000000e
RBP: ffff8801804f7ca8 R08: ffff88034b250000 R09: ffff88034b250000
R10: 0000000000000037 R11: 0000000000000007 R12: 0000000000000000
R13: 0000000000000001 R14: 0000000000000000 R15: ffff88034b1cac40
FS:  0000000000000000(0000) GS:ffff88035dcc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000428 CR3: 0000000001c0b000 CR4: 00000000003407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Stack:
 ffff88034b250000 ffff88034c1d89a8 ffff8801804f7c78 ffff88034c1d8648
 ffff88034bf22358 000000014c1d88e8 ffff880100000000 00000000dd238ada
 ffff88034bf22000 ffff88034c1d8630 ffff880095f4fb00 ffff88034bf22348
Call Trace:
 [<ffffffffa0211ade>] intel_mst_disable_dp+0x3e/0x80 [i915]
 [<ffffffffa01e6de4>] haswell_crtc_disable+0x1d4/0x3c0 [i915]
 [<ffffffffa01e80b9>] intel_crtc_control+0x59/0x120 [i915]
 [<ffffffffa01e81e1>] intel_crtc_update_dpms+0x61/0x70 [i915]
 [<ffffffffa01ee1c9>] intel_connector_dpms+0x69/0x80 [i915]
 [<ffffffff810136d6>] ? __switch_to+0x216/0x5d0
 [<ffffffffa0211d54>] intel_dp_destroy_mst_connector+0x34/0xc0 [i915]
 [<ffffffffa011955d>] drm_dp_destroy_connector_work+0x5d/0x90 [drm_kms_helper]
 [<ffffffff810baa8b>] process_one_work+0x1bb/0x410
 [<ffffffff810bad33>] worker_thread+0x53/0x480
 [<ffffffff810bace0>] ? process_one_work+0x410/0x410
 [<ffffffff810bace0>] ? process_one_work+0x410/0x410
 [<ffffffff810c0ba8>] kthread+0xd8/0xf0
 [<ffffffff810c0ad0>] ? kthread_worker_fn+0x180/0x180
 [<ffffffff817a20a2>] ret_from_fork+0x42/0x70
 [<ffffffff810c0ad0>] ? kthread_worker_fn+0x180/0x180
Code: 44 00 00 c7 45 c0 00 00 00 00 31 c9 e9 6d ff ff ff 66 90 c7 40 08 00 00 00 00 4d 89 f7 4c 03 bb a8 03 00 00 f6 05 74 0b f8 ff 04 <44> 8b 99 28 04 00 00 0f 85 ed 01 00 00 48 85 c9 74 21 48 8b 91 
RIP  [<ffffffffa011c5d8>] drm_dp_update_payload_part1+0x158/0x390 [drm_kms_helper]
 RSP <ffff8801804f7c38>
CR2: 0000000000000428
Comment 3 Fedora End Of Life 2016-07-19 13:35:54 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.